Issue recurring - task #34

Redmine 5.x compatibility
2022-04-11 14:28 - lupa18

Status: closed
Priority: feature
Assignee: cryptogopher
Category:

Target version: unspecified
Redmine version: unspecified
Description

Hi ! are you planning make it compatible with Redmine 5.x ?

thanks!

Associated revisions

Revision b2f2bbf4 - 2022-09-16 14:57 - cryptogopher
Update to Redmine 5.0 (and Rails 6)

Closes #34

History

#1 - 2022-04-11 14:45 - cryptogopher

- Tracker changed from task to 2

- Status changed from new to in progress
- Priority changed from bug to support

- Target version deleted (unspecified)

- Redmine version deleted (unspecified)
Hi!

Sooner or later for sure :) Right now I'm preparing some automation for installing different versions of Redmine in Docker containers. As soon as I'm
done with it, | will check plugin compatibility with redmine 4.1/4.2/5.0. Might take few weeks though.

#2 - 2022-07-18 15:07 - lupa18

Hello ! how are you going? Do you know official RM Docker images? https://hub.docker.com/_/redmine

Tell me if you need help getting this working.

#3 - 2022-08-31 23:39 - lupal8

Hi ! sorry. It's me again. Tell me if can | help you to got this working.

#4 - 2022-09-12 17:07 - cryptogopher

lupa18 wrote:

Hello ! how are you going? Do you know official RM Docker images? https://hub.docker.com/_/redmine

Tell me if you need help getting this working.

Hi,

| got testing environment to work - finally. There is already commit making plugin compatible with Redmine 4.2. I'm working on 5.0 right now. There
are some changes due to autoloading mechanism upgrade in Rails 6 that | need to work out, but it shouldn't take long.

After that there is one migration issue to be resolved. As soon as it's done, there will be next release (of course plugin will be usable before release as
well, I'm trying to keep 'master' branch working, with all tests passing after every commit).

So just a little bit of patience and we'll get there :)
#5 - 2022-09-16 14:59 - cryptogopher

- Status changed from in progress to closed

Applied in changeset issue-recurring-github|b2f2bbf4ddd73bb3eb35efa3d70fec556a6b4c3f.

#6 - 2022-09-16 16:45 - lupa18

Hi ! thank you so much. Could you please add a tag to github?
best,
#7 - 2022-09-16 17:09 - cryptogopher
lupa18 wrote:
Hi ! thank you so much. Could you please add a tag to github?
best,

| just want to add a change or 2 before tagging next release. You can either pull the latest commit directly (it will work normally) or wait a moment until
I'm done.

#8 - 2023-06-08 15:22 - admin

- Priority changed from support to feature

#9 - 2023-06-08 15:31 - admin
- Tracker changed from 2 to task
- Target version set to unspecified

- Redmine version set to unspecified
